
%define qtmajor 5
%define qtminor 6
%define qtsubminor 1
%define major 5

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebchannel %mklibname qt5webchannel %qtmajor
%define libqtwebchannel_d %mklibname qt5webchannel -d

%define qttarballdir qtwebchannel-opensource-src-%{qtversion}

Name: qtwebchannel5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: The Qt WebChannel module provides a library for seamless integration of C++ and QML applications with HTML/JavaScript clients
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5quick-devel >= %version
BuildRequires: qtcore5-private-devel >= %version


#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
The Qt WebChannel module offers Qt applications a seamless way to publish QObjects 
for interaction with HTML/JavaScript clients. These clients can either be inside local 
Qt WebViews or any other, potentially remote, client which supports JavaScript, as long 
as a communication channel such as WebSocket is available.

Qt WebChannel uses introspection on the QObjects and sends this serialized data to the clients. 
There, with the help of a small JavaScript library, an object is created which simulates the API 
of the QObject. Any invokable methods, including slots, can be called as well as properties read 
and written. Additionally you can connect to signals and register JavaScript callbacks as handlers.

%files
%_qt5_qml/QtWebChannel


#------------------------------------------------------------------------------

%package -n %{libqtwebchannel}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}qtwebchannel5
Provides:  %{_lib}qtwebchannel5 = %version

%description -n %{libqtwebchannel}
Qt%{qtmajor} Component Library.

%files -n %{libqtwebchannel}
%{_qt5_libdir}/libQt5WebChannel.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtwebchannel_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/Libraries
Requires: %{libqtwebchannel} = %version
Provides: libqtwebchannel5-devel = %version
Provides: libqt5webchannel-devel = %version
Provides: qtwebchannel5-devel = %version
Provides: qt5webchannel-devel = %version

Provides: libqtwebchannel-private-devel = %version
Provides: libqtwebchannel5-private-devel = %version
Provides: libqt5webchannel-private-devel = %version
Provides: qtwebchannel-private-devel = %version
Provides: qt5webchannel-private-devel = %version

Obsoletes: %{_lib}qt5webchannel-private-devel
Provides:  %{_lib}qt5webchannel-private-devel = %version

%description -n %{libqtwebchannel_d}
Devel files needed to build apps based on %name

%files -n %{libqtwebchannel_d}
%{_qt5_libdir}/libQt5WebChannel.so
%{_qt5_libdir}/libQt5WebChannel.prl
%{_qt5_libdir}/pkgconfig/Qt5WebChannel.pc
%{_qt5_includedir}/QtWebChannel
%{_qt5_datadir}/mkspecs/modules/qt_lib_webchannel.pri
%{_qt5_libdir}/cmake/Qt5WebChannel
%{_qt5_datadir}/mkspecs/modules/qt_lib_webchannel_private.pri
#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Wed Mar 23 2016 bb <bb> 5.6.0-1pclos2016
- update
